B10-CMDCTL(8)

NAME
b10-cmdctl - BIND 10 remote control daemon

SYNOPSIS

b10-cmdctl [-a string] [-h] [-i number] [-p number] [-v] [--address string] [--help] [--idle-timeout number] [--port number] [--verbose] [--version]

DESCRIPTION

The b10-cmdctl daemon provides an entry for commands sent to the BIND 10 services. For example, the bindctl user interface communicates via b10-cmdctl.

It is a lightweight HTTPS server with HTTP Digest Authentication (username and password validation). It offers a RESTful style interface.

OPTIONS

The arguments are as follows:

-a string, --address string
    The IP address that b10-cmdctl will listen on. The default is 127.0.0.1.

-h, --help
    Display command usage.

-i number, --idle-timeout number
    The socket idle timeout for the HTTPS connection in seconds. The default is 1200 seconds.

-p number, --port number
    The port number b10-cmdctl will listen on. The default is 8080.

-v, --verbose
    Enable verbose mode.

--version
    Display the version number and exit.

FILES

/usr/local/etc/bind10/cmdctl-accounts.csv — account database containing the name, hashed password, and the salt.

/usr/local/etc/bind10/cmdctl-keyfile.pem — contains the Private key.

/usr/local/etc/bind10/cmdctl-certfile.pem — contains the Certificate.

SEE ALSO

b10-cfgmgr(8), bind10(8), bindctl(1).

AUTHORS

The b10-cmdctl daemon was initially designed and coded by Zhang Likun of CNNIC.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")